#
# Conditional build:
%bcond_without	doc	# API documentation
%bcond_without	tests	# unit tests
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module		requests_oauthlib
%define		egg_name	requests_oauthlib
%define		pypi_name	requests-oauthlib
Summary:	OAuthlib authentication support for Requests
Summary(pl.UTF-8):	Obsługa uwierzytelniania przez OAuthlib dla Requests
Name:		python-%{pypi_name}
Version:	1.3.1
Release:	1
License:	ISC
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/requests-oauthlib/
Source0:	https://files.pythonhosted.org/packages/source/r/requests-oauthlib/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	c4f3b4ecdb72a56a13675e5a3302852a
URL:		https://github.com/requests/requests-oauthlib
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-cryptography
BuildRequires:	python-mock
BuildRequires:	python-oauthlib >= 3.0.0
BuildRequires:	python-pyjwt >= 1.0.0
BuildRequires:	python-requests >= 2.0.0
BuildRequires:	python-requests-mock
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-cryptography
BuildRequires:	python3-oauthlib >= 3.0.0
BuildRequires:	python3-pyjwt >= 1.0.0
BuildRequires:	python3-requests >= 2.0.0
BuildRequires:	python3-requests-mock
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python-modules >= 1:2.7
Obsoletes:	python-requests_oauthlib < 0.6.1-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project provides first-class OAuth library support for Requests.

%description -l pl.UTF-8
Ten pakiet zapewnia obsługę biblioteki OAuth dla Requests.

%package -n python3-%{pypi_name}
Summary:	OAuthlib authentication support for Requests
Summary(pl.UTF-8):	Obsługa uwierzytelniania przez OAuthlib dla Requests
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.4
Obsoletes:	python3-requests_oauthlib < 0.6.1-3

%description -n python3-%{pypi_name}
This project provides first-class OAuth library support for Requests.

%description -n python3-%{pypi_name} -l pl.UTF-8
Ten pakiet zapewnia obsługę biblioteki OAuth dla Requests.

%package apidocs
Summary:	API documentation for requests-oauthlib module
Summary(pl.UTF-8):	Dokumentacja API biblioteki requests-oauthlib
Group:		Documentation

%description apidocs
API documentation for requests-oauthlib module.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki requests-oauthlib.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m unittest discover -s tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m unittest discover -s tests
%endif
%endif

%if %{with doc}
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.rst HISTORY.rst LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc AUTHORS.rst HISTORY.rst LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,examples,*.html,*.js}
%endif
%changelog
* Thu May 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-requests-oauthlib.git;a=log;h=auto/th/python-requests-oauthlib-1.3.1-1

* Thu May 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> f197d6c
- Up to 1.3.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b09f069
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 2f65574
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c651b45
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8789e62
- rebuild with python 3.10

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 1db4b65
- release 2 (by relup.sh)

* Sat Jan 23 2021 Jakub Bogusz <qboosh@pld-linux.org> ed4c108
- updated to 1.3.0, added pl, apidocs and tests

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ef6cf3c
- rebuild with python 3.8
- release 4 (by relup.sh)

* Fri May 24 2019 Elan Ruusamäe <glen@pld-linux.org> c4d79d6
- use epoch 1 for python3 package

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d062d3c
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 876d04f
- release 2 (by relup.sh)

* Fri May 11 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 87fa7a0
- Version: 0.8.0

* Sat Nov 18 2017 Elan Ruusamäe <glen@pld-linux.org> d6b5e11
- drop bogus cleanup

* Sat Nov 18 2017 Elan Ruusamäe <glen@pld-linux.org> 6a83a70
- renamed to python-requests-oauthlib

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e0f244
- python 3.6
- release 2 (by relup.sh)

* Mon Jun 20 2016 Elan Ruusamäe <glen@delfi.ee> c86c504
- v0.6.1 (19 February 2016)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 4d7e429
- use rpm python macros
- rel 4

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 26ac90b
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b37622f
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1249599
- automatic change: use py_build/py_install macros

